Skip to content

List questions

Questions

Fetches a paginated list of questions sorted by last activity in descending order. Last activity is the time the question was last replied.

GET
/questions

Parameters

Query Parameters

page

Selects the page to retrieve on paginated responses. Used in combination with the pageSize parameter to paginate over results

Type
integer
Default
1
Minimum
1
pageSize

Limits the number of items returned in a single paginated response. Used in combination with the page parameter to paginate over results

Type
integer
Default
25
Maximum
100
Minimum
1

Responses

Successful response

application/json
JSON
{
  
"result": [
  
  
{
  
  
  
"id": "1",
  
  
  
"publicId": "5",
  
  
  
"title": "How do I start a question?",
  
  
  
"content": "Perhaps I should place my content here?",
  
  
  
"author": {
  
  
  
  
"id": "7",
  
  
  
  
"username": "john-doe",
  
  
  
  
"customTitle": "awesome_user",
  
  
  
  
"signature": "awesome_user",
  
  
  
  
"avatar": "http://example.com/avatar123.jpg",
  
  
  
  
"reputation": {
  
  
  
  
  
"rank": "senior_replier",
  
  
  
  
  
"rankIcon": "http://example.com/rank-icon.jpg",
  
  
  
  
  
"rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg",
  
  
  
  
  
"likesReceived": 0,
  
  
  
  
  
"repliesMade": 0
  
  
  
  
}
  
  
  
},
  
  
  
"categoryId": "6",
  
  
  
"askedAt": "2017-04-10T15:29:06+00:00",
  
  
  
"lastActivityAt": "2017-04-10T18:29:06+00:00",
  
  
  
"replyCount": 21,
  
  
  
"spamReplyCount": 0,
  
  
  
"pendingReplyCount": 0,
  
  
  
"trashedReplyCount": 0,
  
  
  
"totalReplyCount": 0,
  
  
  
"inclusiveReplyCount": 0,
  
  
  
"inclusiveVisibleReplyCount": 0,
  
  
  
"tags": [
  
  
  
  
[
  
  
  
  
  
"faq"
  
  
  
  
]
  
  
  
],
  
  
  
"likedBy": [
  
  
  
  
[
  
  
  
  
  
"100",
  
  
  
  
  
"152",
  
  
  
  
  
"203"
  
  
  
  
]
  
  
  
],
  
  
  
"answer": "22",
  
  
  
"sticky": false,
  
  
  
"closed": true,
  
  
  
"trashed": false,
  
  
  
"spam": true,
  
  
  
"reported": true,
  
  
  
"reportedContent": [
  
  
  
  
{
  
  
  
  
  
"id": "string",
  
  
  
  
  
"reason": "string",
  
  
  
  
  
"reportedAt": "string",
  
  
  
  
  
"reportedBy": {
  
  
  
  
  
  
"id": "7",
  
  
  
  
  
  
"username": "john-doe",
  
  
  
  
  
  
"customTitle": "awesome_user",
  
  
  
  
  
  
"signature": "awesome_user",
  
  
  
  
  
  
"avatar": "http://example.com/avatar123.jpg",
  
  
  
  
  
  
"reputation": {
  
  
  
  
  
  
  
"rank": "senior_replier",
  
  
  
  
  
  
  
"rankIcon": "http://example.com/rank-icon.jpg",
  
  
  
  
  
  
  
"rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg",
  
  
  
  
  
  
  
"likesReceived": 0,
  
  
  
  
  
  
  
"repliesMade": 0
  
  
  
  
  
  
}
  
  
  
  
  
}
  
  
  
  
}
  
  
  
],
  
  
  
"pendingApproval": false,
  
  
  
"containsPoll": true,
  
  
  
"seoCommunityUrl": "/category-name-6/how-do-i-start-a-question-5"
  
  
}
  
]
}

Samples

Gainsight CC Developer Portal